const St = imports.gi.St;
const Main = imports.ui.main;
const ShellVersion = imports.misc.config.PACKAGE_VERSION.split(".");
const Mainloop = imports.mainloop;
const Lang = imports.lang;

const WAIT_FOR_AXE = 500;
const ACTIVITES_TEXT = "Activites";

const insert_actor_to_box = (ShellVersion[1]<4) ? function(box,actor,position) {return box.insert_actor(actor,position);} : function(box,actor,position) {return box.insert_child_at_index(actor,position);};

let activitiesButton;
let activitiesButtonLabel;
let axeMenuButton;

function init() {
    activitiesButton = Main.panel._activitiesButton;
    activitiesButtonLabel = Main.panel._activitiesButton._label.get_text();
}

function enable() {
    let delayTimeout = Mainloop.timeout_add(WAIT_FOR_AXE, Lang.bind(null, function() {
        axeMenuButton = Main.panel._axeMenu;
        if(axeMenuButton!=null){
            Main.panel._rightBox.remove_actor(activitiesButton.actor);
            insert_actor_to_box(Main.panel._leftBox,activitiesButton.actor, 0);
            activitiesButton._label.set_text(ACTIVITES_TEXT);
        }
        Mainloop.source_remove(delayTimeout);
    }));
}

function disable() {
    if(axeMenuButton!=null){
        Main.panel._leftBox.remove_actor(activitiesButton.actor);
        insert_actor_to_box(Main.panel._rightBox,activitiesButton.actor, 0);
        activitiesButton._label.set_text("\u2318");
    }
}
